Groovy Documentation

## org.codehaus.groovy.runtime.typehandling
[Java] Class FloatingPointMath

    java.lang.Object
      org.codehaus.groovy.runtime.typehandling.NumberMath
          org.codehaus.groovy.runtime.typehandling.FloatingPointMath

    public final class FloatingPointMath
    extends NumberMath

FloatingPoint (Double and Float) NumberMath operations

Authors:
  Steve Goetze

Field Summary
`static FloatingPointMath` | `INSTANCE`

Method Summary
`protected java.lang.Number` | `absImpl(java.lang.Number number)`
`java.lang.Number` | `addImpl(java.lang.Number left, java.lang.Number right)`
`int` | `compareToImpl(java.lang.Number left, java.lang.Number right)`
`java.lang.Number` | `divideImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `modImpl(java.lang.Number left, java.lang.Number right)`
`java.lang.Number` | `multiplyImpl(java.lang.Number left, java.lang.Number right)`
`java.lang.Number` | `subtractImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `unaryMinusImpl(java.lang.Number left)`

Methods inherited from class NumberMath

abs, absImpl, add, addImpl, and, andImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isFloatingPoint, isInteger, isLong, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, xor, xorImpl

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### INSTANCE

    public static final FloatingPointMath INSTANCE

Method Detail

### absImpl

    protected java.lang.Number absImpl(java.lang.Number number)

### addImpl

    public java.lang.Number addImpl(java.lang.Number left, java.lang.Number right)

### compareToImpl

    public int compareToImpl(java.lang.Number left, java.lang.Number right)

### divideImpl

    public java.lang.Number divideImpl(java.lang.Number left, java.lang.Number right)

### modImpl

    protected java.lang.Number modImpl(java.lang.Number left, java.lang.Number right)

### multiplyImpl

    public java.lang.Number multiplyImpl(java.lang.Number left, java.lang.Number right)

### subtractImpl

    public java.lang.Number subtractImpl(java.lang.Number left, java.lang.Number right)

### unaryMinusImpl

    protected java.lang.Number unaryMinusImpl(java.lang.Number left)

Groovy Documentation